Gateway
All operations require authentication.
List gatewaysProduction
Returns the gateways of the project. Filter by region with the region query parameter.
Path parameters
Project ID
Query parameters
Optional region filter
Headers
Pagination cursor
Pagination size
Response
Computed hash representing the current target specification value
Creation date of the gateway
Current state of the gateway
Ongoing asynchronous tasks related to the gateway
Unique identifier of the gateway
Gateway readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the gateway
Last update date of the gateway
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ gateway \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "externalGateway": { "enabled": true, "model": "2XL" }, "externalIp": "192.0.2.0", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "status": "ACTIVE", "subnets": [ { "id": "00000000-0000-0000-0000-000000000000" } ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "externalGateway": { "enabled": true, "model": "2XL" }, "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "subnets": [ { "id": "00000000-0000-0000-0000-000000000000" } ] }, "updatedAt": "2024-01-01T12:00:00Z" }]
Get a gatewayProduction
Returns the gateway, including its attached subnets and external IP.
Path parameters
Gateway ID
Project ID
Response
Computed hash representing the current target specification value
Creation date of the gateway
Current state of the gateway
Ongoing asynchronous tasks related to the gateway
Unique identifier of the gateway
Gateway readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the gateway
Last update date of the gateway
Example uses gatewayId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ gateway/ {gatewayId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "externalGateway": { "enabled": true, "model": "2XL" }, "externalIp": "192.0.2.0", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "status": "ACTIVE", "subnets": [ { "id": "00000000-0000-0000-0000-000000000000" } ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "externalGateway": { "enabled": true, "model": "2XL" }, "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "subnets": [ { "id": "00000000-0000-0000-0000-000000000000" } ] }, "updatedAt": "2024-01-01T12:00:00Z"}
Create a gatewayProduction
Creates a gateway. An external gateway is required. Subnets can be attached as router interfaces.
Path parameters
Project ID
Request body (required)
Desired target specification for the gateway to create
Response
Computed hash representing the current target specification value
Creation date of the gateway
Current state of the gateway
Ongoing asynchronous tasks related to the gateway
Unique identifier of the gateway
Gateway readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the gateway
Last update date of the gateway
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ gateway \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "externalGateway": { "enabled": true, "model": "2XL" }, "externalIp": "192.0.2.0", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "status": "ACTIVE", "subnets": [ { "id": "00000000-0000-0000-0000-000000000000" } ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "externalGateway": { "enabled": true, "model": "2XL" }, "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "subnets": [ { "id": "00000000-0000-0000-0000-000000000000" } ] }, "updatedAt": "2024-01-01T12:00:00Z"}
Delete a gatewayProduction
Deletes the gateway.
Path parameters
Gateway ID
Project ID
Response
Computed hash representing the current target specification value
Creation date of the gateway
Current state of the gateway
Ongoing asynchronous tasks related to the gateway
Unique identifier of the gateway
Gateway readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the gateway
Last update date of the gateway
Example uses gatewayId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ gateway/ {gatewayId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "externalGateway": { "enabled": true, "model": "2XL" }, "externalIp": "192.0.2.0", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "status": "ACTIVE", "subnets": [ { "id": "00000000-0000-0000-0000-000000000000" } ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "externalGateway": { "enabled": true, "model": "2XL" }, "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "subnets": [ { "id": "00000000-0000-0000-0000-000000000000" } ] }, "updatedAt": "2024-01-01T12:00:00Z"}
Update a gatewayProduction
Updates the gateway's name, description, external gateway or attached subnets. Location is immutable after creation.
Path parameters
Gateway ID
Project ID
Request body (required)
Optional concurrency-control checksum. When supplied, it must match the resource's current checksum or the request is rejected with a 409 checksum-mismatch conflict. When omitted or empty, the concurrency check is skipped and the write is forced (last-write-wins).
Desired target specification for the gateway
Response
Computed hash representing the current target specification value
Creation date of the gateway
Current state of the gateway
Ongoing asynchronous tasks related to the gateway
Unique identifier of the gateway
Gateway readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the gateway
Last update date of the gateway
Example uses gatewayId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ gateway/ {gatewayId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "externalGateway": { "enabled": true, "model": "2XL" }, "externalIp": "192.0.2.0", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "status": "ACTIVE", "subnets": [ { "id": "00000000-0000-0000-0000-000000000000" } ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "externalGateway": { "enabled": true, "model": "2XL" }, "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "subnets": [ { "id": "00000000-0000-0000-0000-000000000000" } ] }, "updatedAt": "2024-01-01T12:00:00Z"}